html {
	overflow-y: scroll;
	font-size: 62.5%;
}

* {
	box-sizing: border-box;
}

body {
	background: #FFF;
	font-family: -apple-system, BlinkMacSystemFont, avenir next, avenir, segoe ui, helvetica neue, helvetica, Ubuntu, roboto, noto, arial, sans-serif;
	font-weight: 400;
	font-size: 1.65rem;
}

#wrapper {
	margin: 0 auto;
	max-width: 100%;
	width: 98%;
	background-color: #FFF;
	border: 1px solid #878E63;
	border-radius: 2px;
	box-shadow: 0 0 10px rgba(12, 3, 25, 0.8);
}

br {
	content: "A" !important;
	display: block !important;
	margin-bottom: 0.8em !important;
}

.page-author {
	color: deepskyblue;
}

.posted-by {

}

.post-date {
	color: red;
}

.strike {
	text-decoration: line-through;
}

header {
	width: 100%;
	height: auto;
	overflow: hidden;
	margin-bottom: 24px;
}

.site-title {
	margin-left: 40px;
	margin-bottom: 6px;
	font-size: 38px;
	font-weight: 700;
	line-height: 1.2;
	color: #333332;
}

.site-description {
	margin-left: 45px;
	font-size: 14px;
	font-weight: inherit;
	line-height: 1.4;
	word-wrap: break-word;
	color: #757575;
}

.breadcrumb {
	height: auto;
	margin-left: 50px;
	font-size: 14px;
	float: left;
}

.page-heading {
	font-size: 2em;
	margin-top: 60px;
	margin-bottom: 45px;
}

.page-title {
	font-size: 1.1em;
}

.kb-link {
	text-decoration: none;
	color: deepskyblue;
/*	font-size: 1.2em; */
}

.kb-link:hover {
	color: #000;	
}

.tag {
	color: red;
}

.tag-categories {
	color: blue;
}

.search_box {
	width: 90%;
	margin: 0 auto;
	margin-bottom: 50px;
}

.search_box_content {
	float: right;
	margin-right: 45px;
}

.search_box_heading {
	font-weight: bold;
}

.search_caption {
	display: inline;
/*	font-size: 1.1em; */
	font-weight: bold;
	margin-left: 1.1em;
}

.search_input_box {
	margin-top: 2em;
	margin-bottom: 2em;
}

.inline-result {
	margin-top: 1.5em;
}

.result {
	color: #202020;
	font-weight: bold;
}

table {
/*	width: 86%; */
	width: inherit;
	font-size: 0.9em;
	font-family: Consolas,Courier,monospace !important;
	table-layout: fixed;
	border-collapse: collapse;
	word-break: break-word;
}

table.center {
	margin-left: auto;
	margin-right: auto;
}

/* nth-child(1) = the first td in each tr */
td:nth-child(1) {
	width: 18%;
}

/* the second */
td:nth-child(2) {
	width: 20%;
}

/* the third */
td:nth-child(3) {
	width: 20%;
}

/* the third */
td:nth-child(4) {
	width: 30%;
}

th, td {
        border-width: thin;
        border-style: solid;
        border-color: #E1E1E1;
/*        border-collapse: collapse; */
        padding: 2px;
        text-align: left;
	overflow: hidden;
}

th {
	font-weight: bold;
        color: #000;
        background: #cccccc;
}

td {
        color: #000;
        background: transparent;
	text-align: left;
}

tr:hover td {
	background-color: #CC6666;
	color: #FFFF00; 
}

table tr:nth-child(even) {
	background-color: #f2f2f2;
}

tr:first-child:hover {
	background-color: white;
}

.generic-table-styling
td:nth-child(1),
td:nth-child(2),
td:nth-child(3),
td:nth-child(4) {
    /* Your styles for td:nth-child(1), td:nth-child(2), td:nth-child(3), and td:nth-child(4) */
	color: #000;
	background-color: #fff;
}

.generic-table-styling td {
	border-style: none;
}

/*
textarea {
    border: 0 none white;
    overflow: hidden;
    padding: 0;
    outline: none;
    background-color: #D0D0D0;
}
*/
/*
.scripts-bg {
	background-color: gainsboro;
	font-family: monospace;
	padding: 10px;
	content: "\a";
	white-space: pre;
}

.scripts-bg br {
	display: none;
}
*/

.emph {
	font-weight: bold;
/*	font-size:*/
}

.main {
/*	margin: 2% 10% 2% 10%; */
	width: 76%;
	margin: 0 auto;
/*	line-height: 150%; */
}

.main img {
	display: block;
	margin-left: auto;
	margin-right: auto;
}

.page {
	font-size: 1em;
	margin-top: 60px;
}

.page_text {
/* 03/05/2023 */
/*	line-height: 130%; */
/*	line-height: 101%; */
/* above changed for nl2p function */
}

.page img {
	width: auto;
}

/* related menus */

/*
.related-menu {
	padding-bottom: 1em;
	margin: 0 auto;

}

a.related_menu:link {
	color: blue;
	padding: 0 1px;
	text-decoration: none;
	border-bottom: 1px solid transparent;
}

a.related_menu:visited {
	color: blue;
	border-bottom: 1px solid transparent;
}

a.related_menu:hover {
	color: black;
	border-bottom: 1px solid blue;
}

a.related_menu:active {
	color: green;
	border-bottom: 1px solid red;
}
*/


/* end related menus */

/* h1, h2, h3, h4, h5, h6 { */

h1, h2, h3 {
	text-align: center;
	color: #6c7154;
}

h1 {
	font-size: 1.1em;
}

h2 {
	font-size: 1.3em;
}

h3 {
	font-size: 1.25em;
}

h4 {
	color: #396658;
	/* color: #686A8A;*/
	font-size: 1.12em;
	/*font-size: 0.95em;*/
	display: inline-block;
}

h5 {
	font-size: 0.85em;
	color: #31AD31;
	display: inline-block;
}

figcaption {
	clear: left;
	font-style: italic;
	font-weight: bold;
}

.linethrough {
	text-decoration: line-through;
}

div.spacer {
        clear: both;
}

.err {
	font-weight: bold;
	color: red;
}

.error {
	font-weight: bold;
	color: red;
}

.no-data {
	color: #A9A9A9;
}

/**************/

.row > .column {
	padding: 10px 8px;
}

.row:after {
	content: "";
	display: table;
	clear: both;
}

.center-cropped {
	object-fit: none; /* Do not scale the image */
	object-position: center; /* Center the image within the element */
	height: 138px;
	width: 185px;
}

.column {
	float: left;
	width: 28%;
	padding: 2px;
	overflow: hidden;
	white-space: nowrap;
	text-overflow: ellipsis;
	color: #d8ff00;
	background-color: #4a4949;
}

/* Clear floats after the columns */
.row:after {
	content: "";
	display: table;
	clear: both;
}

pre {
	background: #eee;
	font-family: Consolas,Courier,monospace !important;
	max-width: 100%;
	overflow: auto;
	padding: 1em !important;
}

code {
	color: #000;
	background-color: #eee;
	padding: 6px;
	text-shadow: none;
	font-family: Consolas,Monaco,'Andale Mono','Ubuntu Mono',monospace;
	font-size: 1em;
	text-align: left;
	white-space: pre;
	word-spacing: normal;
	word-break: normal;
	word-wrap: normal;
	line-height: 1.5;
	-moz-tab-size: 4;
	-o-tab-size: 4;
	tab-size: 4;
	-webkit-hyphens: none;
	-moz-hyphens: none;
	-ms-hyphens: none;
	hyphens: none;
}


Xcode {
	font-family: Consolas,Monaco,'Andale Mono','Ubuntu Mono',monospace;
	background-color: #eee;
}

p {
	color: #2A2B24;
	line-height: 130%;
}

img {
	text-align: center;
	max-width: 100%;
	height: auto;
	width: auto;
}

/* use for search */

label {
	width: 3.6em;
	float: left;
}

label[for="message"] {
	width: 10em;
	float: left;
}

.button {
	background-color: #4CAF50;
	border: none;
	color: white;
	padding: 0.2em 1em;
	text-align: center;
	text-decoration: none;
	display: inline;
/*	font-size: 15px; */
	margin: 4px 2px;
	cursor: pointer;
/*	vertical-align: middle; */
	border-radius: 4px;
	-webkit-transition-duration: 0.4s;  /* Safari */
	transition-duration: 0.4s;
}

.button:hover {
	background-color: #63b4fb;
	color: yellow;
}

.clearfix {
	clear: both;	
}

/* why was section commented? - not required */
/*
.section {
	width: 29%;
	float: left;
	margin: 2% 2%;
	text-align: center;
}
*/

footer {
	background: #222;
	width: 100%;
	overflow: hidden;
	margin: 0 auto;
}

footer p, footer h3 {
	color: #F1F0D1;
	text-align: center;
}

footer p a {
	/* text-decoration: none; */
}

/*  responsiveness */

/*

@media screen and (max-width: 600px) {
  .topnav a:not(:first-child) {display: none;}
  .topnav a.icon {
    float: right;
    display: block;
  }
}

@media screen and (max-width: 600px) {
  .topnav.responsive {position: relative;}
  .topnav.responsive .icon {
    position: absolute;
    right: 0;
    top: 0;
  }
  .topnav.responsive a {
    float: none;
    display: block;
    text-align: left;
  }
}

*/


/* @media screen and (max-width: 478px) { */
@media screen and (max-width: 480px) {
	html {
		font-size: 100%;
	}
	/* for new kb */

	header {
		margin-bottom: 4px;
	}
	.search_box_content {
		float: left;
		margin-left: 4px;
	}
	input {
		width: 125px;
	}
	.button {
		width: 70px;
	}
	.page-heading {
		font-size: 1em;
		margin-top: 10px;
		margin-bottom: 10px;
	}
	.site-title {
		margin-left: 4px;
		margin-bottom: 6px;
		font-size: 24px;
		font-weight: 700;
		line-height: 1.2;
		color: #333332;
	}	

	.site-description {
		margin-left: 5px;
		font-size: 14px;
		font-weight: inherit;
		line-height: 1.4;
		word-wrap: break-word;
		color: #757575;
	}
	.breadcrumb {
		margin-left: 2px;
		font-size: 0.5em;
	}
	.page {
		font-size: 0.6em;
	}
	.kb-link {
		font-size: 0.95em;
	}
	.posted-by {
		font-size: 0.75em;
	}
	pre {
		font-size: 0.75em;
	}
	footer p, footer h3 {
		font-size: 0.6em;
	}
}

@media screen and (min-width: 960px) and (max-width: 1024px) {
	html {
		font-size: 100%;
	}
	body {
		font-size: 0.9rem;
	}
	.main {
		width: 96%;
	}
	/* for new kb */	
	header {
		margin-bottom: 4px;
	}
	.search_box_content {
		float: left;
		margin-left: 4px;
	}
	input {
		width: 125px;
	}
	.button {
		width: 70px;
	}
	.page-heading {
		font-size: 1em;
		margin-top: 10px;
		margin-bottom: 10px;
	}
	.site-title {
		margin-left: 4px;
		margin-bottom: 6px;
		font-size: 24px;
		font-weight: 700;
		line-height: 1.2;
		color: #333332;
	}	

	.site-description {
		margin-left: 5px;
		font-size: 14px;
		font-weight: inherit;
		line-height: 1.4;
		word-wrap: break-word;
		color: #757575;
	}
	.breadcrumb {
		margin-left: 2px;
		font-size: 0.5em;
	}
	.page {
		font-size: 0.6em;
		width: 98%;	
	}
	.kb-link {
		font-size: 0.95em;
	}
	.posted-by {
		font-size: 0.75em;
	}
	pre {
		font-size: 0.75em;
	}
	footer p, footer h3 {
		font-size: 0.6em;
	}
}

@media screen and (min-width: 750px) and (max-width: 950px) {
	html {
		font-size: 100%;
	}
	body {
		font-size: 0.9rem;
	}
	.main {
		width: 96%;
	}
	/* for new kb */	
	header {
		margin-bottom: 4px;
	}
	.search_box_content {
		float: left;
		margin-left: 4px;
	}
	input {
		width: 125px;
	}
	.button {
		width: 70px;
	}
	.page-heading {
		font-size: 1em;
		margin-top: 10px;
		margin-bottom: 10px;
	}
	.site-title {
		margin-left: 4px;
		margin-bottom: 6px;
		font-size: 24px;
		font-weight: 700;
		line-height: 1.2;
		color: #333332;
	}	

	.site-description {
		margin-left: 5px;
		font-size: 14px;
		font-weight: inherit;
		line-height: 1.4;
		word-wrap: break-word;
		color: #757575;
	}
	.breadcrumb {
		margin-left: 2px;
		font-size: 0.5em;
	}
	.page {
		font-size: 0.6em;
		width: 98%;	
	}
	.kb-link {
		font-size: 0.95em;
	}
	.posted-by {
		font-size: 0.75em;
	}
	pre {
		font-size: 0.75em;
	}
	footer p, footer h3 {
		font-size: 0.6em;
	}
}

@media screen and (max-width: 740px) {
	html {
		font-size: 92.5%;
	}
	h1 {
		font-size: 100%;
	}
	.section {
		float: left;
		width: 100%;
		margin: 0;
	}
	.main {
		margin: 0 auto;
		width: 98%;
	}
	a.page_menu:link {
		line-height: 300%;
	}
	.page_menu_container {
		width: 94%;
	}
	table {
		width: 100%;
	}
	/* for new kb */	
	header {
		margin-bottom: 4px;
	}
	.search_box_content {
		float: left;
		margin-left: 4px;
	}
	input {
		width: 125px;
	}
	.button {
		width: 70px;
	}
	.page-heading {
		font-size: 1em;
		margin-top: 10px;
		margin-bottom: 10px;
	}
	.site-title {
		margin-left: 4px;
		margin-bottom: 6px;
		font-size: 24px;
		font-weight: 700;
		line-height: 1.2;
		color: #333332;
	}	

	.site-description {
		margin-left: 5px;
		font-size: 14px;
		font-weight: inherit;
		line-height: 1.4;
		word-wrap: break-word;
		color: #757575;
	}
	.breadcrumb {
		margin-left: 2px;
		font-size: 0.5em;
	}
	.page {
		font-size: 0.6em;
        	width: 98%;
	}
	.kb-link {
		font-size: 0.95em;
	}
	.posted-by {
		font-size: 0.75em;
	}
	pre {
		font-size: 0.75em;
	}
	footer p, footer h3 {
		font-size: 0.6em;
	}
}

